﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
DATE:                  2013-08-06 20:37:07
AUTHOR:                Fluke
REVISION:              $Revision: 3802 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       135
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO4034B, DPO4054B, DPO4104B
#        MSO4034B, MSO4054B, MSO4104B
#        MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CALÂ® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  HEAD         INPUT IMPEDANCE: Channel [V @Chan]
  1.005  CALL         Sub Initialize /DMM
  1.006  MATH         @DMM_Func = "Resistance4W"

  1.007  RSLT         =
  1.008  HEAD         -2 {100 mV/div}
  1.009  TARGET       -p
  1.010  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.011  CALL         Sub Reset /DMM

  1.012  IF           @Chan == 1
  1.013  DISP         Connect a BNC tee to DUT channel [V @Chan].
  1.013  DISP
  1.013  DISP         Connect dual banana to BNC adapters to [V @DMM_DevName]
  1.013  DISP         [V @DMM_InputHi]/[V @DMM_InputLo] and
  1.013  DISP         [V @DMM_SenseHi]/[V @DMM_SenseLo].
  1.013  DISP
  1.013  DISP         Connect the [V @DMM_DevName] to the DUT using two BNC
  1.013  DISP         cables.
  1.014  ELSE
  1.015  DISP         Move the BNC tee to DUT channel [V @Chan], leaving
  1.015  DISP         BNC cables connected.
  1.016  ENDIF

  1.017  CALL         Sub Setup /DMM
  1.018  VISA         CH[V @Chan]:SCA 100E-3;TER 50
  1.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.020  JMPL         END                          @Abort
  1.021  TARGET       -m
  1.022  CALL         Sub Read /DMM
  1.023  MATH         @DMM_Meas = MEM
  1.024  CALL         Sub Get Accuracy /DMM
  1.025  MATH         L[1] = @DMM_Acc
  1.026  ACC    50    Z              L1U
  1.027  MEMC         50.0Z          0.5U

# Select 1 MOhm input impedance
# Push the Utility front panel button.
# Push the Utility Page lower-bezel button.
# Turn the Multi-purpose "a" knob to select "Self Test".
# Push the 250 kOhm Impedance Verification lower-bezel button.
# Push the channel x side-bezel button to enable channel x 250 kOhm Ver.
  2.001  VISA         CH[V @Chan]:TER 1E+6;:FPA:PRESS UTIL;PRESS BMENU1[D1000]
  2.002  VISA         FPA:TURN GPKNOB1,-5;PRESS BMENU3;PRESS RMENU[V @Chan]
  2.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.004  JMPL         END                          @Abort
  2.005  TARGET       -m
  2.006  CALL         Sub Read /DMM
  2.007  MATH         @DMM_Meas = MEM
  2.008  CALL         Sub Get Accuracy /DMM
  2.009  MATH         MEM = MEM / 1E+3; L[1] = @DMM_Acc / 1E+3
  2.010  ACC    250   kZ             L1U
  2.011  MEMC         250kZ          5U

# Push the channel x side-bezel button to disable channel x 250 kOhm Ver.
  3.001  VISA         FPA:PRESS RMENU[V @Chan];:CLEARM
  3.002  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.003  JMPL         END                          @Abort
  3.004  TARGET       -m
  3.005  CALL         Sub Read /DMM
  3.006  MATH         @DMM_Meas = MEM
  3.007  CALL         Sub Get Accuracy /DMM
  3.008  MATH         MEM = MEM / 1E+6; L[1] = @DMM_Acc / 1E+6
  3.009  ACC    1     MZ             L1U
  3.010  MEMC         1.00MZ         0.01U

  4.001  RSLT         =
  4.002  HEAD         -2 {1 V/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 1;TER 1E+6
  4.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.006  JMPL         END                          @Abort
  4.007  TARGET       -m
  4.008  CALL         Sub Read /DMM
  4.009  MATH         @DMM_Meas = MEM
  4.010  CALL         Sub Get Accuracy /DMM
  4.011  MATH         MEM = MEM / 1E+6; L[1] = @DMM_Acc / 1E+6
  4.012  ACC    1     MZ             L1U
  4.013  MEMC         1.00MZ         0.01U

  5.001  LABEL        END
  5.002  HEAD         -2
  5.003  CALL         Sub Reset /DMM

  5.004  IF           @Chan == 4
  5.005  DISP         Disconnect the [V @DMM_DevName] from the DUT.
  5.006  ENDIF

  5.007  HEAD
  5.008  END
