﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4102B (1 yr) VER VISA /O_CAL+G1+5Ch,DMM
INSTRUMENT:            Sub Tek DPO4104B (1 yr) VER VISA /O_CAL+G1+5Ch,DMM
DATE:                  2019-04-30 12:00:31
AUTHOR:                Fluke
REVISION:              $Revision: 3804 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       269
CONFIGURATION:         Fluke Ocal (1.1GHz,5Ch)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4102B, DPO4102B-L, DPO4104B, DPO4104B-L
#        MSO4102B, MSO4102B-L, MSO4104B, MSO4104B-L
#
#  Compatibility:
#        MET/VERsion 7.3.38 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine; Channel = 4
  1.002  O_CAL        +Frequency = 1 GHz; Voltage = 1 Vpp
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                                     V

  1.006  CALL         Sub Display Copyright

  1.007  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.008  CALL         Sub Tek MSO/DPO4000B Remote Interface Connection
  1.009  JMPL         END                              @Abort

  1.010  VISA         *RST

  1.011  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.012  MATH         @UUT_Manufacturer = "Tektronix"
  1.013  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.014  JMPL         END                              @Abort

  1.015  CALL         Sub High Voltage Safety Warning
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)
  1.018  CALL         Sub Tek MDO4000,MSO/DPO4000B Preliminary Instructions
  1.019  CALL         Sub Tek MDO4000,MSO/DPO4000B Additional Equipment Req.

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.020  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.021  JMPL         END                           @Abort

  1.022  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.023  JMPL         END                           @Abort

  1.024  MATH         @CalMultiChan = 1
  1.025  JMPL         RANDOM_NOISE

  1.026  LABEL        INPUT_IMPEDANCE_CH1_O_CAL
  1.027  MATH         @Chan = 1; @CalChan = @Chan
  1.028  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.029  JMPL         INPUT_IMPEDANCE_CH2_O_CAL

  1.030  LABEL        INPUT_IMPEDANCE_CH1_DMM
  1.031  MATH         @Chan = 1
  1.032  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.033  JMPL         INPUT_IMPEDANCE_CH2_DMM

  1.034  LABEL        INPUT_IMPEDANCE_CH2_O_CAL
  1.035  MATH         @Chan = 2; @CalChan = @Chan
  1.036  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.037  JMPL         DCV_GAIN                     (@NumChan == 2)
  1.038  JMPL         INPUT_IMPEDANCE_CH3_O_CAL

  1.039  LABEL        INPUT_IMPEDANCE_CH2_DMM
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.042  JMPL         DC_BALANCE                   (@NumChan == 2)
  1.043  JMPL         INPUT_IMPEDANCE_CH3_DMM

  1.044  LABEL        INPUT_IMPEDANCE_CH3_O_CAL
  1.045  MATH         @Chan = 3; @CalChan = @Chan
  1.046  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.047  JMPL         INPUT_IMPEDANCE_CH4_O_CAL

  1.048  LABEL        INPUT_IMPEDANCE_CH3_DMM
  1.049  MATH         @Chan = 3
  1.050  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM
  1.051  JMPL         INPUT_IMPEDANCE_CH4_DMM

  1.052  LABEL        INPUT_IMPEDANCE_CH4_O_CAL
  1.053  MATH         @Chan = 4; @CalChan = @Chan
  1.054  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
  1.055  JMPL         DCV_GAIN

  1.056  LABEL        INPUT_IMPEDANCE_CH4_DMM
  1.057  MATH         @Chan = 4
  1.058  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /DMM

  1.059  LABEL        DC_BALANCE
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA

  1.064  IF           @NumChan > 2
  1.065  MATH         @Chan = 3
  1.066  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.067  MATH         @Chan = 4
  1.068  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.069  ENDIF

# Do 1 MOhm BW tests next, since 50 Ohm feed throughs are already connected.
  1.070  JMPL         BANDWIDTH_CH1_1_MOhm

  1.071  LABEL        DCV_GAIN
  1.072  MATH         @Chan = 1; @CalChan = @Chan
  1.073  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.074  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.075  MATH         @Chan = 2; @CalChan = @Chan
  1.076  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.077  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL

  1.078  IF           @NumChan > 2
  1.079  MATH         @Chan = 3; @CalChan = @Chan
  1.080  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.081  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.082  MATH         @Chan = 4; @CalChan = @Chan
  1.083  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm DCV Gain VER VISA /O_CAL
  1.084  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
  1.085  ENDIF

  1.086  MATH         @Chan = 1; @CalChan = @Chan
  1.087  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.088  MATH         @Chan = 2; @CalChan = @Chan
  1.089  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL

  1.090  IF           @NumChan > 2
  1.091  MATH         @Chan = 3; @CalChan = @Chan
  1.092  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.093  MATH         @Chan = 4; @CalChan = @Chan
  1.094  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
  1.095  ENDIF

  1.096  JMPL         BANDWIDTH_CH1_50_Ohm

  1.097  LABEL        SAMPLE_RATE
  1.098  MATH         @Chan = 1; @CalChan = @Chan
  1.099  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /O_CAL
  1.100  JMPL         INPUT_IMPEDANCE_CH1_O_CAL

  1.101  LABEL        BANDWIDTH_CH1_50_Ohm
  1.102  MATH         @Chan = 1; @CalChan = @Chan
  1.103  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.104  JMPL         BANDWIDTH_CH2_50_Ohm

  1.105  LABEL        BANDWIDTH_CH1_1_MOhm
  1.106  MATH         @Chan = 1; @CalChan = @Chan
  1.107  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.108  JMPL         BANDWIDTH_CH2_1_MOhm

  1.109  LABEL        BANDWIDTH_CH2_50_Ohm
  1.110  MATH         @Chan = 2; @CalChan = @Chan
  1.111  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.112  JMPL         DELTA_TIME                   (@NumChan == 2)
  1.113  JMPL         BANDWIDTH_CH3_50_Ohm

  1.114  LABEL        BANDWIDTH_CH2_1_MOhm
  1.115  MATH         @Chan = 2; @CalChan = @Chan
  1.116  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.117  JMPL         SAMPLE_RATE                  (@NumChan == 2)
  1.118  JMPL         BANDWIDTH_CH3_1_MOhm

  1.119  LABEL        BANDWIDTH_CH3_50_Ohm
  1.120  MATH         @Chan = 3; @CalChan = @Chan
  1.121  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.122  JMPL         BANDWIDTH_CH4_50_Ohm

  1.123  LABEL        BANDWIDTH_CH3_1_MOhm
  1.124  MATH         @Chan = 3; @CalChan = @Chan
  1.125  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.126  JMPL         BANDWIDTH_CH4_1_MOhm

  1.127  LABEL        BANDWIDTH_CH4_50_Ohm
  1.128  MATH         @Chan = 4; @CalChan = @Chan
  1.129  CALL         Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
  1.130  JMPL         DELTA_TIME

  1.131  LABEL        BANDWIDTH_CH4_1_MOhm
  1.132  MATH         @Chan = 4; @CalChan = @Chan
  1.133  CALL         Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
  1.134  JMPL         SAMPLE_RATE

  1.135  LABEL        RANDOM_NOISE
  1.136  MATH         @Chan = 1
  1.137  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.138  MATH         @Chan = 2
  1.139  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA

  1.140  IF           @NumChan > 2
  1.141  MATH         @Chan = 3
  1.142  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.143  MATH         @Chan = 4
  1.144  CALL         Sub Tek DPO410xB (1 yr) Random Noise VER VISA
  1.145  ENDIF

  1.146  JMPL         INPUT_IMPEDANCE_CH1_DMM

  1.147  LABEL        DELTA_TIME
  1.148  MATH         @Chan = 1; @CalChan = @Chan
  1.149  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.150  MATH         @Chan = 2; @CalChan = @Chan
  1.151  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL

  1.152  IF           @NumChan > 2
  1.153  MATH         @Chan = 3; @CalChan = @Chan
  1.154  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.155  MATH         @Chan = 4; @CalChan = @Chan
  1.156  CALL         Sub Tek DPO410xB (1 yr) Delta Time VER VISA /O_CAL
  1.157  ENDIF

  1.158  MATH         @Chan = 1
  1.159  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.160  LABEL        END
  1.161  VISA         *RST

  1.162  IF           @Abort
  1.163  HEAD         {V E R I F I C A T I O N   A B O R T E D}
  1.164  ELSE
  1.165  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.166  ENDIF

  1.167  END
